
#include <stdio.h>
#include <cuda.h>

__device__ char napis_device[14];
__constant__ __device__ char hw[] = "Hello World!\n";

__global__ void helloWorldOnDevice(void)
{ 
	int idx = blockIdx.x;
	napis_device[idx] = hw[idx];
}

int main(void)
{
    helloWorldOnDevice <<< 14, 1 >>> ();
	cudaThreadSynchronize();

	char napis_host[14];
    const char *symbol="napis_device";
    cudaMemcpyFromSymbol (napis_host, symbol, sizeof(char)*13, 0, cudaMemcpyDeviceToHost);

    printf("%s",napis_host);
}